﻿// Copyright (c) 2009 Kjetil Eraker Samuelsen
// This source is subject to the Microsoft Public License.
// See http://www.microsoft.com/opensource/licenses.mspx#Ms-PL.
// All other rights reserved.

using System;

namespace Ksamuelsen.Services.Vonage {
    public class Click2CallException : Exception {
        private string _errorCode = string.Empty;

        internal Click2CallException() : base(Properties.Resources.VONAGE_NO_RESULT_MSG) {
        }

        internal Click2CallException(string message) : this(null, message) {
        }

        internal Click2CallException(string errorCode, string message) : base(message) {
            _errorCode = errorCode;
        }

        public string ErrorCode {
            get {
                return _errorCode;
            }
        }
    }
}
